org.eclipse.rdf4j.query.resultio.binary

## Enum QueryErrorType

- java.lang.Object
- - java.lang.Enum<QueryErrorType>
  - - org.eclipse.rdf4j.query.resultio.binary.QueryErrorType

- All Implemented Interfaces:
    Serializable, Comparable<QueryErrorType>

      public enum QueryErrorType
      extends Enum<QueryErrorType>

  A type-safe enumeration for query error types.
  Author:
    Arjohn Kampman

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MALFORMED_QUERY_ERROR` Constant used for identifying a malformed query error.
    `QUERY_EVALUATION_ERROR` Constant used for identifying a query evaluation error.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QueryErrorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static QueryErrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MALFORMED_QUERY_ERROR

          public static final QueryErrorType MALFORMED_QUERY_ERROR

      Constant used for identifying a malformed query error.

    - #### QUERY_EVALUATION_ERROR

          public static final QueryErrorType QUERY_EVALUATION_ERROR

      Constant used for identifying a query evaluation error.

  - ### Method Detail

    - #### values

          public static QueryErrorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QueryErrorType c : QueryErrorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QueryErrorType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.